QGIS Application - Bug report #14254
FileGDB (ESRI FileGDB) from newer ArcGIS-Versions couldn't be opened
2016-02-09 04:41 AM - Benjamin Schepers

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 22250
Description

Accessing a FileGDB (via ESRI-FileGDB driver) seems to be broken with a FileGDB created by newer ArcGlS-versions (10.3+).
FileGDBs createdare usable.

Maybe this issue is caused by ESRI due to a version-upgrade of FileGDB-API-dIl from 1.3 to 1.4?
The included .dlIl in OSGeo4W-Installation is version 1.3.

History

#1 - 2016-02-09 05:10 AM - Benjamin Schepers

FileGDBs created with earlier ArcGlIS-versions are usable.

#2 - 2016-02-09 06:19 AM - Saber Razmjooei

- Status changed from Open to Feedback
- Category set to Data Provider/OGR

Could you provide an example file?

#3 - 2016-02-09 08:07 AM - Benjamin Schepers

- File DEMO.zip added

ERROR messsage was: "... infrastructure_1.gdb is not a valid or recognized data source."

Due to our ArcGIS-Update from 10.1 to 10.3, | concluded, that this was the reason for above error, moreover the file was readable in a crosscheck by self
compiled GDAL/OGR on Linux with FileGDB-DLL 1.4 - this was misleading me!

| found the error by myself (two nearly identic GDBs attached, only difference is the layers "buildings" CRS ):

Version1 has a "custom" Authority/CRS in ESRIs point of view - the CRS-Parameters are definitely OK, but CRS-Authority/-ID is not explicitely declared as
EPSG/WKID:25832

In Version2 | reassigned the CRS with ArcCatalog to EPSG/WKID:25832 and it worked well with QGIS.

So should we close this bug and open a new one to "implement" a more specific / not misleading error-message, ie. that there was an unknown CRS?

What about generally updating FileGDB-API to ist newest version 1.4?
Sorry for the confusion :-D
#4 - 2016-02-09 08:21 AM - Saber Razmjooei

This is probably a problem with your local gdal/ogr driver. | can open both files in master and 2.8 in Windows and Linux.

#5 - 2016-02-09 01:26 PM - Giovanni Manghi

it opens fine also here (both Linux and Win, the latter with the open driver).

#6 - 2016-04-09 11:17 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback.

Files
DEMO.zip 911 KB 2016-02-09 Benjamin Schepers
